/*
 * $Id: DownloadPicture.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2004-2006 SUGIMOTO Ken-ichi
 * 作成日: 2006/05/17
 */
package feat2.testapp.download;

import java.io.InputStream;

import feat2.CommandContext;
import feat2.FileDownload;

public class DownloadPicture implements FileDownload {

    private String path;


    public InputStream getInputStream(CommandContext ctx) throws Exception {

        return ctx.getServletContext().getResourceAsStream(path);

    }

    public String getFileName() {
        return null;
    }

    public String getMimeType() {
        return null;
    }


    public void setPath(String path) {
        this.path = path;
    }


}
